* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: Roboto;
  font-size: 16px;
  color: #fff;
  background-color: #06020e;
  overflow: auto;
}
header {
  width: 100%;
  padding: 24px 16px;
  height: 108px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-shrink: 0;
  border-bottom: 1px solid #2a2635;
}
a:link,
a:visited,
a:hover,
a:active {
  text-decoration: none;
}
.logo {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  right: 16px;
}
.header-btngroup {
  display: flex;
  gap: 8px;
  align-items: center;
  width: auto;
  flex-shrink: 0;
  align-items: center;
  justify-content: center;
  height: 44px;
}
.header_link {
  display: flex;
  align-items: center;
  justify-content: center;
}

.container {
  width: 100%;
  margin: 0 auto;
}

.top {
  display: flex;
  width: 100%;
  gap: 8px;
  padding-top: 40px;
}
.text-1 {
  color: #bebbca;
  text-align: center;
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}
.text-2 {
  color: #fff;
  text-align: center;
  font-size: 18px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
}

.top_main_icon {
  border-radius: 4px;
  border: 1px solid rgba(255, 255, 255, 0.16);
  background: linear-gradient(180deg, #140645 0%, #000002 100%);
  margin-right: 6px;
}
.top_main_p {
  font-size: 20px;
  font-weight: 700;
  display: inline-flex;
  flex-wrap: nowrap;
  align-items: center;
}
.top_main_p > span {
  font-size: 12px;
  margin-left: 8px;
}
.top_main_subp {
  color: #bebbca;
  font-size: 16px;
  font-weight: 500;
  display: inline-flex;
  align-items: center;
}
.copyicon {
  border-radius: 2px;
  background: rgba(255, 255, 255, 0.08);
  height: 24px;
  width: 24px;
  padding: 3px;
}

.invitecode {
  margin-right: 8px;
  margin-left: 4px;
  font-weight: 700;
  background: -webkit-linear-gradient(0deg, #6b47ed, #fff);
  background: -moz-linear-gradient(0deg, #6b47ed, #fff);
  background: -o-linear-gradient(0deg, #6b47ed, #fff);
  background: linear-gradient(0deg, #6b47ed, #fff);
  -webkit-background-clip: text;
  -moz-background-clip: text;
  -o-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-text-fill-color: transparent;
  color: transparent;
  color: #6b47ed;
}

.checkerboard {
  width: 100%;
  height: 80px;
  background-image:
    linear-gradient(45deg, rgba(108, 72, 237, 1) 25%, transparent 25%),
    linear-gradient(-45deg, rgba(108, 72, 237, 1) 25%, transparent 25%),
    linear-gradient(45deg, transparent 75%, rgba(108, 72, 237, 1) 75%),
    linear-gradient(-45deg, transparent 75%, rgba(108, 72, 237, 1) 75%);
  background-size: 40px 40px;
  background-position:
    0 0,
    0 20px,
    20px -20px,
    -20px 0;
  position: absolute;
  z-index: -1;
}
.checkerboard > .mask {
  background: linear-gradient(180deg, rgba(6, 2, 14, 85%) 0%, #06020e 100%);
  height: 100%;
  width: 100%;
}

.middle_main {
  border-radius: 8px 32px 8px 8px;
  background: #1a1621;
  margin: 40px 16px 60px;
  padding: 20px 12px 32px 12px;
}

.step_item_left {
  flex-shrink: 0;
  top: 5px;
  position: relative;
  margin-right: 14px;
}
.step-first {
  height: 212px;
  max-height: fit-content;
  overflow: hidden;
}
.step-second {
  height: 481px;

  max-height: fit-content;
  overflow: hidden;
  /* height: fit-content; */
}
.step_title {
  color: #fff;
  font-size: 18px;
  font-weight: 900;
  position: relative;
  height: 20px;
}

.step_title_text {
  z-index: 5;
  width: 80px;
}
.step_title > .stars {
  margin-left: 5px;
}

.step_title > .line {
  position: absolute;
  bottom: -6px;
  width: 76px;
}
.step_text {
  font-size: 16px;
  font-weight: 500;
  margin-top: 20px;
}
.step_subtext {
  font-size: 14px;
  font-weight: 400;
  color: #bebbca;
  margin: 12px 0;
}
.btn2 {
  padding: 2px;
  border-radius: 30px;
  background: linear-gradient(
    -30deg,
    #6c48ed,
    #797484,
    rgba(60, 60, 60, 1),
    #797484,
    #6c48ed
  );
  color: #fff;
  width: max-content;
}

.btn_content {
  width: max-content;
  min-width: 136px;
  text-align: center;
  padding: 10px 12px;
  font-size: 14px;

  font-weight: 400;
  border-radius: 30px;
  background: #28242f;
  display: flex;
  align-items: center;
  justify-content: center;
}

img {
  max-width: 100%;
  height: auto;
}
.pic1 {
  width: 148px;
  height: 220px;
  border-radius: 12px;
  padding: 1px;
  background: linear-gradient(180deg, #6b47ed, #478fed);
  object-fit: cover;
  object-position: top;
}
.pic2 {
  height: 93px;
  width: 148px;
  border-radius: 12px;
  object-fit: cover;
  object-position: top -11px left 0;
  position: absolute;
  padding: 1px;
  background: linear-gradient(180deg, #6b47ed, #478fed);
  left: 105px;
  top: 50px;
}
.pic3 {
  height: 20px;
  width: 20px;
  position: absolute;
  top: 120px;
  left: 170px;
}
.pic4 {
  height: 37px;
  width: 37px;
  position: absolute;
  left: 175px;
  top: 130px;
}
.why_title {
  font-size: 20px;
  font-weight: 700;
  text-align: center;
  margin-bottom: 32px;
}
.list {
  display: flex;
  flex-wrap: wrap;
  flex-shrink: 1;
  gap: 12px;
  width: 100%;
  padding: 0 16px;
}
.list_item {
  flex: 0 0 calc(50% - 6px);
  height: auto;
  display: flex;
  width: 100%;
  flex-direction: column;
  position: relative;
  align-items: center;
  justify-content: center;
  padding: 16px 10px;
  background-color: #1a1621;
  border-radius: 8px;
}
.list_item > p {
  font-size: 12px;
  font-weight: 400;
  margin-top: 12px;
  text-align: center;
}
.list_item > img {
  width: 24px;
  height: 24px;
}
.list_item_bg {
  position: absolute;
  width: 100%;
  height: 100%;
  padding: 2px;
  border-radius: 8px;
  background: linear-gradient(
    -30deg,
    #6c48ed,
    #797484,
    rgba(60, 60, 60, 1),
    #797484,
    #6c48ed
  );
  -webkit-mask:
    linear-gradient(#fff 0 0) content-box,
    linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
}

.walletv_footer {
  width: 100%;
  padding: 32px 16px;
  flex-direction: column;
  background: #16141a;
}
.row1 {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.btn_group {
  color: #8e8e8e;
  display: flex;
  flex-direction: column;
  font-size: 16px;
  font-weight: 400;
  gap: 20px;
}
.btn_group > a:link,
.btn_group > a:visited,
.btn_group > a:hover,
.btn_group > a:active {
  color: #8e8e8e;
  text-decoration: none;
}
.app_list {
  margin-top: 20px;
  display: flex;
  gap: 12px;
  align-items: center;
}
.record {
  color: #8e8e8e;
  font-size: 14px;
  font-weight: 400;
}

.flex_row {
  display: flex;
  flex-direction: row;
}

.flex_column {
  display: flex;
  flex-direction: column;
}

.flex_row_center_center {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.flex_row_start_center {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
}

.flex_column_center {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.tip {
  position: fixed;
  visibility: hidden;
  display: flex;
  gap: 8px;
  width: calc(100% - 32px);
  align-items: center;
  padding: 12px;
  border-radius: 8px;
  border: 1px solid rgba(255, 255, 255, 0.06);
  background: #1f1f20;
  top: 120px;
  left: 16px;
  /* left: calc(50% - 150px); */
  font-size: 14px;
  color: rgb(255, 255, 255, 0.85);
}

.lang_container {
  background-color: rgba(26, 22, 33, 1);
  border-radius: 32px 8px 8px;
  padding: 32px 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  margin: 28px 16px;
}
.lang_title {
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  margin-bottom: 28px;
  text-align: center;
}
.lang_box_long {
  background-image: url("./images/lang-bg2.svg");
  background-repeat: no-repeat;
  background-size: contain;
  font-size: 12px;
  font-weight: 400;
  display: flex;
  justify-content: center;
  line-height: 22px;
  width: 120px;
  height: 25px;
}
.lang_box {
  background-image: url("./images/lang-bg1.svg");
  background-repeat: no-repeat;
  background-size: contain;
  font-size: 12px;
  font-weight: 400;
  display: flex;
  justify-content: center;
  line-height: 22px;
  width: 64px;
  height: 25px;
}
.lang_main {
  width: 100%;
  max-width: 312px;
  display: flex;
  justify-content: space-between;
}
.lang_pic {
  width: 148px;
  height: 220px;
}
/* pad 大屏适配 */
@media (min-width: 768px) {
  body {
    font-size: 32px;
  }
  .top {
    justify-content: center;
    padding: 60px 0 0;
  }
  .text-1 {
    font-size: 16px;
  }
  .text-2 {
    font-size: 36px;
  }

  .top_main_icon {
    display: flex;
    width: 56px;
    height: 56px;
    border-radius: 12px;
    margin-right: 16px;
  }
  .top_main_p {
    font-size: 32px;
    font-weight: 700;
    display: inline-flex;
    flex-wrap: nowrap;
    align-items: center;
    line-height: 56px;
  }

  .top_main_p > span {
    font-size: 32px;
    margin-left: 8px;
  }
  .top_main_subp {
    font-size: 24px;
    text-align: center;
    justify-content: center;
    position: relative;
    /* right: calc((56px + 16px) / 2); */
  }
  .copyicon {
    width: 32px;
    height: 32px;
    border-radius: 8px;
    padding: 6px;
  }
  .board_top {
    top: 270px;
  }
  .middle_main {
    padding: 80px 0;
    box-sizing: content-box;
    max-width: 80%;
    border-radius: 16px 120px 16px 16px;
    margin: 42px auto 60px;
    align-items: center;
  }
  .step_item {
    width: 70%;
  }
  .step_title {
    font-size: 24px;
  }
  .step_text {
    font-size: 24px;
    font-weight: 500;
    margin-top: 20px;
  }
  .step_subtext {
    font-size: 18px;
  }
  .step-first {
    height: 241px;
    max-height: fit-content;
  }
  .step-second {
    height: 492px;
    max-height: fit-content;
  }
  .btn_content {
    font-size: 16px;
  }
  .line518 {
    width: 2px;
    height: 229px;
  }
  .line520 {
    width: 2px;
    height: 480px;
  }
  .pic2 {
    top: 50px;
    left: 105px;
  }
  .pic3 {
    top: 120px;
    left: 170px;
  }
  .pic4 {
    left: 175px;
    top: 130px;
  }
  .why_title {
    font-size: 32px;
  }
  .list {
    max-width: 80%;
    margin: 0 auto;
    gap: 20px;
    padding: 0;
  }
  .list_item {
    flex: 0 0 calc(50% - 10px);
  }
  .list_item > p {
    font-size: 18px;
    margin-top: 24px;
  }
  .list_item > img {
    width: 48px;
    height: 48px;
  }
  .row1 {
    width: 100%;
    display: flex;
    justify-content: space-between;
    flex-direction: row;
  }
  .btn_group {
    display: flex;
    flex-direction: row;
    gap: 20px;
    font-size: 16px;
    color: #8e8e8e;
    justify-content: flex-end;
    flex-wrap: wrap;
    align-items: center;
  }
  .app_list {
    display: flex;
    gap: 20px;
    flex: 1;
  }
  .record {
    font-size: 14px;
    font-weight: 400;
    color: #8e8e8e;
  }

  .walletv_footer {
    display: flex;
    flex-direction: column;
    padding: 32px;
  }
  .tip {
    max-width: 80%;
    left: 10%;
    justify-content: center;
    font-size: 16px;
  }
  .lang_container {
    max-width: 80%;
    padding: 80px 0;
    margin: 60px auto;
    border-radius: 120px 16px 16px;
  }
  .lang_title {
    font-size: 24px;
    font-weight: 500;
  }
  .lang_box_long {
    background-size: contain;
    width: 148px;
    height: 32px;
    font-size: 16px;
    font-weight: 400;
    line-height: 28px;
  }
  .lang_box {
    width: 90px;
    height: 35px;
    background-size: cover;
    font-size: 16px;
    font-weight: 400;
    line-height: 28px;

  }
  .lang_main {
    width: 400px;
    max-width: 400px;
  }
  .lang_pic {
    width: 148px;
  }
}

.drawer-mask {
  background-color: rgba(0, 0, 0, 0.5);
  position: fixed;
  height: 100%;
  width: 100%;
  top: 0;
  z-index: 999;
  visibility: hidden;
}
.drawer-content {
  width: 287px;
  height: 100%;
  background-color: #08050d;
  position: absolute;
  right: 0;
  border-left: 1px solid #2a2635;
}
.drawer-header {
  padding: 24px 16px;
  height: 108;
  border-bottom: 1px solid #2a2635;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.drawer-list {
  padding: 16px;
  display: flex;
  flex-direction: column;
  gap: 4px;
}
.drawer-item {
  height: 56px;
  display: flex;
  align-items: center;
  gap: 16px;
  padding: 8px;
  color: #fff;
  font-size: 14px;
  font-weight: 600;
}
.drawer-download-div {
  width: 100%;
  padding: 0 16px;
  margin-top: 32px;
}
.drawer-download {
  display: block;
  text-align: center;
  margin: auto;
  line-height: 48px;
  width: 100%;
  height: 48px;
  background: linear-gradient(130deg, #822eff, #a47fff);
  border: none;
  border-radius: 24px;
  color: #fff;
  font-size: 18px;
  font-weight: 600;
  cursor: pointer;
  text-decoration: none;
}

.btn2,
.list_item_bg {
  background: -webkit-linear-gradient(
    to bottom right,
    #6c48ed,
    #797484,
    #3c3c3c,
    #797484,
    #6c48ed
  );
  background: -moz-linear-gradient(
    to bottom right,
    #6c48ed,
    #797484,
    #3c3c3c,
    #797484,
    #6c48ed
  );
  background: -o-linear-gradient(
    to bottom right,
    #6c48ed,
    #797484,
    #3c3c3c,
    #797484,
    #6c48ed
  );
  background: linear-gradient(
    to bottom right,
    #6c48ed,
    #797484,
    #3c3c3c,
    #797484,
    #6c48ed
  ) !important;
}
.pic1,
.pic2 {
  background: -webkit-linear-gradient(180deg, #6b47ed, #478fed);
  background: -moz-linear-gradient(180deg, #6b47ed, #478fed);
  background: -o-linear-gradient(180deg, #6b47ed, #478fed);
  background: linear-gradient(180deg, #6b47ed, #478fed);
}
@media (prefers-color-scheme: dark) {
  .invitecode {
    background: -webkit-linear-gradient(0deg, #6b47ed, #fff) !important;
    background: -moz-linear-gradient(0deg, #6b47ed, #fff) !important;
    background: -o-linear-gradient(0deg, #6b47ed, #fff) !important;
    background: linear-gradient(0deg, #6b47ed, #fff) !important;
    -webkit-background-clip: text !important;
    -moz-background-clip: text !important;
    -o-background-clip: text !important;
    background-clip: text !important;
    -webkit-text-fill-color: transparent !important;
    -moz-text-fill-color: transparent !important;
    color: transparent !important;
    /* 防止 Samsung Internet 覆盖颜色 */
    forced-color-adjust: none !important;
    /* 添加 Samsung 特定的颜色方案 */
    color-scheme: dark;
  }
  .btn2,
  .list_item_bg {
    background: -webkit-linear-gradient(
      to bottom right,
      #6c48ed,
      #797484,
      #3c3c3c,
      #797484,
      #6c48ed
    );
    background: -moz-linear-gradient(
      to bottom right,
      #6c48ed,
      #797484,
      #3c3c3c,
      #797484,
      #6c48ed
    );
    background: -o-linear-gradient(
      to bottom right,
      #6c48ed,
      #797484,
      #3c3c3c,
      #797484,
      #6c48ed
    );
    background: linear-gradient(
      to bottom right,
      #6c48ed,
      #797484,
      #3c3c3c,
      #797484,
      #6c48ed
    ) !important;
    forced-color-adjust: none;
  }
  .pic1,
  .pic2 {
    background: -webkit-linear-gradient(180deg, #6b47ed, #478fed);
    background: -moz-linear-gradient(180deg, #6b47ed, #478fed);
    background: -o-linear-gradient(180deg, #6b47ed, #478fed);
    background: linear-gradient(180deg, #6b47ed, #478fed) !important;
    forced-color-adjust: none;
  }
}
